'use strict';

module.exports = appInfo => {
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1517455121740_8202';

  // add your config here
  // config.middleware = [];

  config.cluster = {
    listen: {
      port: 8105
    }
  };

  config.errorMongo = {
    details: true
  };
  config.errorHanler = {
    details: true
  };

  // add redis
  config.redis = {
    client: {
      port: 6379,
      host: '127.0.0.1',
      password: '',
      db: 0,
    },
  };

  // mongoose config
  // config.mongoose = {
  //   url: 'mongodb://localhost:27017/cms',
  //   options: {
  //     user: 'root',
  //     pass: 'Ziyouyanfa#@!',
  //     authSource: 'admin',
  //     useNewUrlParser: true,
  //     useCreateIndex: true,
  //     useUnifiedTopology: true,
  //   }
  // };

  config.mongoose = {
    url: 'mongodb://localhost:27017/cms',
    options: {
      user: 'cms',
      pass: 'cms2019',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    }
  };

  // // base路径
  // config.baseDir = 'http://smart.cc-lotus.info';
  // // 企业信息url
  // config.corpsDir = '/api/corp/corps/';
  // // 学校信息url
  // config.schsDir = '/api/sch/schs/';
  // // 招聘简章url
  // config.profilesDir = '/api/jobs/profiles/';
  // // 双选会url
  // config.fairsDir = '/api/jobs/fairs/';
  // 短信验证码接口url
  config.messageDir = 'http://sms.bdt360.com:8180/Service.asmx/SendMessageStr';

  return config;
};
